Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-63600

Git plugin clone error

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Duplicate
    • Component/s: git-plugin
    • Labels:
      None
    • Similar Issues:
    • Released As:
      git plugin 4.4.2

      Description

      Git plugin choose wrong path to client in windows node, the error raises after upgrade to v4.4.1, revert to v4.3.0 solves the issue:
      Running on Windows_Slave_1 in C:\Jenkins\workspace\FrontEndRWB_develop[Pipeline] {[Pipeline] stage[Pipeline] { (Declarative: Checkout SCM)[Pipeline] checkoutThe recommended git tool is: /usr/bin/git
      using credential Jenkins_GIT
      Cloning the remote Git repository
      Cloning with configured refspecs honoured and without tags
      ERROR: Error cloning remote repo 'origin'
      hudson.plugins.git.GitException: Could not init C:\Jenkins\workspace\FrontEndRWB_develop
      .
      .
      .
      Caused by: hudson.plugins.git.GitException: Error performing git command: /usr/bin/git init C:\Jenkins\workspace\FrontEndRWB_develop

        Attachments

          Issue Links

            Activity

            Hide
            markewaite Mark Waite added a comment -

            Thanks for reporting the issue. A fix is in progress in PR-949. We'd love to have additional testing to confirm that the fix handles all the cases where issues are being encountered. I've uploaded a pre-release build as git-4.4.2-rc4027.193b7e5f6521.hpi . If your installation allows it, could you confirm that it resolves the issue you're seeing? If you encounter any problems with that pre-release build, please report them in PR-949.

            Show
            markewaite Mark Waite added a comment - Thanks for reporting the issue. A fix is in progress in PR-949 . We'd love to have additional testing to confirm that the fix handles all the cases where issues are being encountered. I've uploaded a pre-release build as git-4.4.2-rc4027.193b7e5f6521.hpi . If your installation allows it, could you confirm that it resolves the issue you're seeing? If you encounter any problems with that pre-release build, please report them in PR-949 .

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              claudiol Claudio Lezcano
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: